<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if(count($_SESSION['cajas'])>1) {
?>
    <p>Indica la cantidad a cambiar:</p>
    <p><input type="text" name="cantidadCambiar" id="cantidadCambiar" value="" class="campo cantidad" style="width:100px" cantidadmaxima="<?php echo $_POST['cantidad']; ?>"/></p>
    <p>Selecciona la caja para confirmar el cambio:</p>
<?php foreach($_SESSION['cajas'] as $caja) { ?>
    <?php if($caja['NumeroCaja']!=$_SESSION['preparacionCajaActual']) { ?>
        <h2 style="cursor:pointer;" class="selectorCajaCambio" id="<?php echo $caja['NumeroCaja']; ?>" ><?php echo $caja['NumeroCaja']; ?> <img id="imagenCaja<?php echo $caja['NumeroCaja']; ?>" src="<?php echo DIR_IMAGENES; ?>/caja.png" width="47" class="imagenCaja clicable"/></h2>
    <?php } ?>
    <?php } ?>
    <p><input type="button" value="Cancelar" class="boton" id="botonCancelarCambio"/></p>

<?php } else { ?>
	<p>No hay más cajas asignadas.<br />Si deseas hacer un cambio, primero debes asignar una nueva caja.</p>
    <p><input type="button" value="Cerrar" class="boton" id="botonCancelarCambio"/></p>
<?php } ?>

<script>

	$(document).ready(function() {
	
		$('#cantidadCambiar').on("click",function(){
			$('#calculadora').show();
			$('#valorCalculadora').val( $('#cantidadCambiar').val() );
			$('#enterCalculadora').attr('campoValor','cantidadCambiar');
		});
		
		$('#botonCancelarCambio').on("click",function() {
			
			$('#popupCambioProductoCaja').hide();
			$('#popupCambioProductoCajaContenido').hide();
		});
	
		$('.selectorCajaCambio').on("click",function() {
		
			$('#cantidadCambiar').removeClass('campoError');
		
			var cantidad=$('#cantidadCambiar').val();
			var caja=$(this).attr('id');
			
			if(cantidad==0 || cantidad=='') {
			
				$('#cantidadCambiar').addClass('campoError');
				alert('Especifica la cantidad a mover entre las cajas.',$('#cantidadCambiar'));
				
			}
			else if( parseFloat($('#cantidadCambiar').val()) > parseFloat($('#cantidadCambiar').attr('cantidadmaxima')) ) {
			
				$('#cantidadCambiar').addClass('campoError');
				alert('Error: la cantidad es mayor que almacenada en esa caja.',$('#cantidadCambiar'));
				
			}
			else {
				
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-caja-producto-cambiar.php", { 'caja' : caja , 'lineaProducto' : '<?php echo $_POST['lineaProducto']; ?>' , 'cantidad' : cantidad } )
				.done(function(data) {
						
						//alert(data);
						
						$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-cajas-listado.php" )
						.done(function(data) {
						
							$('#contenidoCajasListado').html(data);
							redimensionaPestanyas('contenedorPrincipal',100);
						
							$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-caja-seleccionar.php", { 'caja' : caja })
							.done(function() {
								
								$('.selectorCajaSuperior').attr('seleccionada','no');
								$('.imagenCaja').attr("src","<?php echo DIR_IMAGENES; ?>/caja.png");
									
								$('#itemCaja'+caja).attr('seleccionada','si');
								$('#imagenCaja'+caja).attr("src","<?php echo DIR_IMAGENES; ?>/ok.png");
									
								$('#codigoCaja').html(caja);
									
								$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-caja-contenido.php")
								.done(function(data) {
										
									$('#popupCargando').hide();
									$('#contenidoCaja').html(data);
									redimensionaPestanyas('contenedorPrincipal');
									
									alert('Cambio realizado correctamente.')
									.done(function(){
										$("html, body").animate({scrollTop:0},"slow");
										mueveHastaPestanya('pestanyaContenidoCaja');
										$('#cajaSeleccionada').val(caja);
									});
								});
										
							});
						
						});
						
					
				});
				
			} //Fin comprobacion cantidad
			
		});
	
	});
	
</script>
